{% import "macro/form.twig" as form %}


<div class="container-fluid">
<div class="row">
		<div class="col-md-6">
			<h2>{{qpinfo[3]}}</h2>
		</div>
		<div class="col-md-6 go-to-page text-right">
			{{form.pagination()}}
		</div>
	</div>
	<div class="row">
		<div class="{% if qpinfo[4] == 'objective' %}objqp{% else %}col-sm-12{% endif %}">

			<div class="main-section-scroll">
				{% for page in qp %}
					<div class="page">
						<img class="lazy" data-src="/img/qp/{{page.id}}" alt="">
					</div>
				{% endfor %}

			</div>
		</div>


		{% if qpinfo[4]=="objective" %}

			<div class="omr">
				<div
					class="omr-section">
					<div class=time></div>
					<table class='table tbl-responsive'>
						{% if ans is defined %}
							{% for i,a in ans %}

								<tr class="width-th2 middle-text">
									<th>{{i}}</th>
									<td>
										<span class='option'>A</span>
									</td>
									<td>
										<span class='option'>B</span>
									</td>
									<td>
										<span class='option'>C</span>
									</td>
									<td>
										<span class='option'>D</span>
									</td>
									<td>
										<button type="button" class="btn btn-primary fr test-button" onclick="ans.check(this)">Submit</button>
									</td>
								</tr>
							{% endfor %}
						{% endif %}
					</table>
					<div class="final-submit text-center">
						<button type="submit" class="btn btn-primary fr" onclick="checkAll(this)">Submit</button>
					</div>

				</div>
			</div>
		</div>
	</div>
			<script>
				var ans = {
{% for q,a in ans %}
q{{ q }} :'{{ a|upper }}',{% endfor %}check: function (e) {
let gp = e.parentElement.parentElement;
qno = gp.querySelector("th").innerHTML;
if (gp.querySelector("[selected]")) {

a = gp.querySelector("[selected]").innerHTML;
gp.setAttribute("evaluated", true);
var ca = ans["q" + qno];
if (ca == a) {
gp.querySelector("[selected]").style = "background:green;color:#fff";
e.parentElement.innerHTML = "<span class='btn btn-responsive'>Correct</span>";
} else {
gp.querySelector("[selected]").style = "background:red;color:#fff";
var elm = gp.querySelectorAll("span");
elm.forEach(function (element) {

if (element.innerHTML == ca) {
element.style = "background:green;color:#fff";
}
});
e.parentElement.innerHTML = "<span class='btn btn-responsive'>Wrong</span>";

}
}
}
}
let element = document.querySelectorAll("td>span.option");
element.forEach(function (elm) {
elm.addEventListener("click", function (ev) {
let gp = this.parentElement.parentElement;
if (! gp.hasAttribute("evaluated")) {

el = gp.querySelectorAll("span");
el.forEach(function (e) {
e.style = "";
e.removeAttribute("selected");
});
this.style = "background:#555;color:#fff";
this.setAttribute("selected", true);
}
})
});
			

function checkAll(e) {
var btns = document.querySelectorAll(".test-button");
btns.forEach(function (btn) {
btn.dispatchEvent(new Event("click"));
btn.style = "display:none";
});
document.querySelectorAll("tr").forEach(function (elm) {
// elm.setAttribute("evaluated", true);
if(!elm.hasAttribute("evaluated")){
elm.setAttribute("evaluated", true);
let qno = elm.querySelector("th").innerHTML;
let ca=ans["q" + qno];
console.log(ca);
elm.querySelectorAll(".option").forEach(function(td){
	if(td.innerHTML==ca){
		td.style="background:green;color:#fff";
	}
});
let btn=elm.querySelector("button").parentElement.innerHTML="N A";
}
})
// e.style = "display:none";
}
</script>
		{% endif %}

		{% if qpinfo[4]=='subjective' %}
			<div class="fixed-footer" id="filedrag">
				<a href="/">Answer booklet</a>
			</div>
			<script src="/js/filedrag.js"></script>
		{% endif %}

